Gestiono
Referencia de APIAccounting / Pending Record

Update Pending Record pay

← Back to full API reference
PATCH/v1/record/pending/payAuth required

A pending record refers to documents (invoice, quote, order, loan) that can later be linked to records such as payments, credits, and accounting movements.

  • Requires organization permissions for this resource.
  • Validated by Zod schema: payPendingRecord.

Request details

Body fields

FieldRequiredDescription
paymentMethodYesType: enumExample: CASH
accountIdYesType: number
amountNoType: number
stateNoType: enumExample: PENDING
referenceNoType: string
amountConversionNoType: number
receivedFromNoType: number
descriptionNoType: string
labelsNoType: arrayExample:
labels[]YesType: string
clientdataNoType: object
dateNoType: string
metadataNoType: unknown
generateTaxIdNoType: enumExample: none
pendingRecordIdYesType: number

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "paymentMethod": "CASH",
  "accountId": 1,
  "pendingRecordId": 1
}

Sample response

json
{}